#ifndef _H_A44951520D76FF8571A014D9EDC79B1B_ReturnCodeConstants__H_
#define _H_A44951520D76FF8571A014D9EDC79B1B_ReturnCodeConstants__H_

#include "sacpp_mapping.h"
#include "cpp_dcps_if.h"


namespace rc_common_msgs
{
    namespace msg
    {
        namespace dds_
        {
            namespace ReturnCodeConstants_Constants
            {
                const ::DDS::Short SUCCESS_ = 0;

                const ::DDS::Short INVALID_ARGUMENT_ = (-1);

                const ::DDS::Short INTERNAL_ERROR_ = (-2);

                const ::DDS::Short INTERNAL_TIMEOUT_ = (-3);

                const ::DDS::Short SENSOR_TIMEOUT_ = (-4);

                const ::DDS::Short IO_ERROR_ = (-7);

                const ::DDS::Short NOT_APPLICABLE_ = (-8);

                const ::DDS::Short INVALID_LICENSE_ = (-9);

                const ::DDS::Short CAPACITY_EXCEEDED_ = (-10);

                const ::DDS::Short TIMEOUT_REACHED_ = 3;

                const ::DDS::Short CAPACITY_REACHED_ = 10;

                const ::DDS::Short OVERWRITTEN_ = 11;

                const ::DDS::Short HINTS_ = 999;

            }

            struct  ReturnCodeConstants_
            {
                ::DDS::Octet structure_needs_at_least_one_member_;
            };

            typedef DDS_DCPSStruct_var<ReturnCodeConstants_> ReturnCodeConstants__var;
            typedef ReturnCodeConstants_& ReturnCodeConstants__out;

        }

    }

}

#endif /* _H_A44951520D76FF8571A014D9EDC79B1B_ReturnCodeConstants__H_ */
